## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global         uuid app.drey.Dialect
%global         forgeurl0 https://github.com/dialect-app/dialect
%global         forgeurl1 https://github.com/dialect-app/po
%global         adw_version 1.4.0

Name:           dialect
Version:        2.5.0
Release:        %autorelease
Summary:        A translation app for GNOME based on Google Translate

%global         tag0 %{version}
%global         tag1 %{version}
%forgemeta -a

License:        GPL-3.0-or-later
URL:            %{forgeurl}
Source0:        %{forgesource0}
Source1:        %{forgesource1}

BuildArch:      noarch

BuildRequires:  meson
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  gstreamer1-devel
BuildRequires:  gtk4-devel
BuildRequires:  libadwaita-devel >= %{adw_version}
BuildRequires:  libsecret-devel
BuildRequires:  libsoup3-devel
BuildRequires:  blueprint-compiler
BuildRequires:  python3-devel
BuildRequires:  python3-gobject-devel

Requires:       hicolor-icon-theme
Requires:       gstreamer1-plugins-base
Requires:       gtk4
Requires:       libadwaita >= %{adw_version}
Requires:       libsecret
Requires:       libsoup3
Requires:       python3-gobject
Requires:       python3-dbus
Requires:       python3-gtts
Requires:       python3-beautifulsoup4

%description
A translation app for GNOME based on Google Translate.

Features:
* Text translation up to 5000 chars
* Text to speech
* History
* Automatic language detection
* Clipboard buttons


%prep
%forgesetup -z 0
gzip -dc %{SOURCE1} | tar -xof -
rmdir po
mv po-%{tag1} po


%build
%meson
%meson_build


%install
%meson_install
%py_byte_compile %{python3} %{buildroot}%{_datadir}/%{name}/

%find_lang %{name}
%find_lang %{name}-cldr-langs


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{uuid}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{uuid}.metainfo.xml


%files -f %{name}.lang -f %{name}-cldr-langs.lang
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{uuid}.desktop
%{_datadir}/%{name}
%{_datadir}/dbus-1/services/%{uuid}.SearchProvider.service
%{_datadir}/glib-2.0/schemas/%{uuid}.gschema.xml
%{_datadir}/gnome-shell/search-providers/%{uuid}.SearchProvider.ini
%{_datadir}/icons/hicolor/*/apps/%{uuid}*.svg
%{_metainfodir}/%{uuid}.metainfo.xml


%changelog
## START: Generated by rpmautospec
* Thu May 15 2025 Lyes Saadi <dev@lyes.eu> - 2.5.0-1
- Updating to 2.5.0 (rhbz#2317006)

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Jul 29 2024 Lyes Saadi <dev@lyes.eu> - 2.4.2-1
- 2.4.2 Update

* Thu Jul 25 2024 Miroslav Suchý <msuchy@redhat.com> - 2.4.1-3
- convert GPLv3+ license to SPDX

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jul 16 2024 Lyes Saadi <dev@lyes.eu> - 2.4.1-1
- Upgrading to 2.4.1 (fixes #2273290)

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Dec 26 2023 Lyes Saadi <lyessaadi@fedoraproject.org> - 2.2.0-1
- Updating to 2.2.0

* Tue Sep 12 2023 Lyes Saadi <lyessaadi@fedoraproject.org> - 2.1.1-5
- Exclude Arch s390x because of blueprint-compiler

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Feb 08 2023 Yaakov Selkowitz <yselkowitz@fedoraproject.org> - 2.1.1-3
- Fix requires for flatpak build

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Oct 23 2022 Lyes Saadi <lyessaadi@fedoraproject.org> - 2.1.1-1
- Updating to 2.1.1

* Wed Oct 19 2022 Lyes Saadi <lyessaadi@fedoraproject.org> - 2.1.0-1
- Updating to 2.1.0

* Mon Aug 22 2022 Lyes Saadi <lyessaadi@fedoraproject.org> - 2.0.2-4
- Adding sources

* Mon Aug 22 2022 Lyes Saadi <fedora@lyes.eu> - 2.0.0-1
- Updating to 2.0.0

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Oct 20 2021 Lyes Saadi <fedora@lyes.eu> - 1.4.1-1
- Updating to 1.4.1

* Tue Oct 19 2021 Lyes Saadi <fedora@lyes.eu> - 1.4.0-1
- Updating to 1.4.0 (Fix #2015384)

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jul 07 2021 Lyes Saadi <fedora@lyes.eu> - 1.3.0-3
- Fixing the search_provider with libretranslate backend (Fix #1961802)

* Tue Jul 06 2021 Gustavo Costa <xfgusta@fedoraproject.org> - 1.3.0-2
- Remove unnecessary dependencies

* Sat May 08 2021 Lyes Saadi <fedora@lyes.eu> - 1.3.0-1
- Updating to 1.3.0 (Fix #1958511)

* Fri Mar 19 2021 Lyes Saadi <fedora@lyes.eu> - 1.2.0-1
- Updating to 1.2.0 (Fix #1936578)

* Sat Feb 20 2021 Lyes Saadi <fedora@lyes.eu> - 1.1.1-5
- Fixing Dialect's error messages by using the translate_legacy function

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 14 2020 Lyes Saadi <fedora@lyes.eu> - 1.1.1-1
- Updating to 1.1.1 (Fix #1905428)

* Mon Nov 02 2020 Lyes Saadi <fedora@lyes.eu> - 1.1.0-3
- Adding python3-dbus as a dependency

* Sun Nov 01 2020 Lyes Saadi <fedora@lyes.eu> - 1.1.0-2
- Adding some unpackaged files

* Sun Nov 01 2020 Lyes Saadi <fedora@lyes.eu> - 1.1.0-1
- Updating to 1.1.0 (Fix #1893399)

* Thu Oct 15 2020 Lyes Saadi <fedora@lyes.eu> - 1.0.0-1
- Initial package

## END: Generated by rpmautospec
